﻿Type=Activity
Version=3.82
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	Dim FontSize As String
	Dim FontType As String
	Dim LineHeight As String
End Sub

Sub Globals

	Private SeekBar1 As SeekBar
	Private Spinner1 As Spinner
	Private Label3 As Label
	Private ScrollView1 As ScrollView
	Private SeekBar2 As SeekBar
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("scroll")
	Activity.Title = "تنظیمات"
	ScrollView1.Panel.LoadLayout("Setting")
	If File.Exists(File.DirInternal,"FontType.txt") = False Then
		File.Copy(File.DirAssets,"FontType.txt",File.DirInternal,"FontType.txt")
	End If
	If File.Exists(File.DirInternal,"FontSize.txt") = False Then
		File.Copy(File.DirAssets,"FontSize.txt",File.DirInternal,"FontSize.txt")
	End If
	If File.Exists(File.DirInternal,"lineheight.txt") = False Then
		File.Copy(File.DirAssets,"lineheight.txt",File.DirInternal,"lineheight.txt")
	End If
	
	Spinner1.AddAll(Array As String("byekan","bnazanin","Titr"))
	FontType = File.ReadString(File.DirInternal,"FontType.txt")
	FontSize = File.ReadString(File.DirInternal,"FontSize.txt")
	LineHeight = File.ReadString(File.DirInternal,"lineheight.txt")
	SeekBar1.Value = FontSize
	SeekBar2.Value = LineHeight
	
	Dim ts As TextSetting
	ts.Initialize
	ts.LabelDesign(Label3,SeekBar1.Value,"Null",FontType)
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub
Sub SeekBar1_ValueChanged (Value As Int, UserChanged As Boolean)
	Label3.TextSize = Value
	FontSize = Value
End Sub
Sub SeekBar2_ValueChanged (Value As Int, UserChanged As Boolean)
	LineHeight = Value
End Sub
Sub Spinner1_ItemClick (Position As Int, Value As Object)
	Label3.Typeface = Typeface.LoadFromAssets(Value&".ttf")
	FontType = Value
End Sub
Sub Button1_Click
	File.WriteString(File.DirInternal,"FontType.txt",Spinner1.SelectedItem)
	File.WriteString(File.DirInternal,"FontSize.txt",SeekBar1.Value)
	File.WriteString(File.DirInternal,"lineheight",SeekBar2.Value)
	ToastMessageShow("تنظیمات با موفقیت اعمال شد",False)
End Sub
Sub Activity_KeyPress (KeyCode As Int) As Boolean 'Return True to consume the event
	If KeyCode = KeyCodes.KEYCODE_BACK Then
		Activity.Finish
	End If
End Sub